/*
  date_time_numeric.hpp

  Copyright (C) 2011 Taiji Yamada <taiji@aihara.co.jp>
 */
#ifndef _DATE_TIME_NUMERIC_HPP
#define _DATE_TIME_NUMERIC_HPP
#include <boost/date_time.hpp>

inline
const long operator/(const boost::gregorian::date_duration &a, const boost::gregorian::date_duration &b)
{
  return a.days()/b.days();
}
inline
const boost::gregorian::date_duration operator*(const boost::gregorian::date_duration &a, const long b)
{
  return boost::gregorian::date_duration(a.days()*b);
}
#endif
